Regression

tests.modules.check_comics.test_comicmodule[Wondermark] (from pytest)

Failing for the past 1 build (Since #798 )
Took 1 min 19 sec.

Error Message

requests.exceptions.ConnectionError: HTTPConnectionPool(host='wondermark.com', port=80): Max retries exceeded with url: / (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7fb3a2659ea0>: Failed to establish a new connection: [Errno -3] Temporary failure in name resolution'))

Stacktrace

/tmp/home/.local/lib/python3.10/site-packages/urllib3/connection.py:174: in _new_conn
    conn = connection.create_connection(
/tmp/home/.local/lib/python3.10/site-packages/urllib3/util/connection.py:72: in create_connection
    for res in socket.getaddrinfo(host, port, family, socket.SOCK_STREAM):
/usr/local/lib/python3.10/socket.py:955: in getaddrinfo
    for res in _socket.getaddrinfo(host, port, family, type, proto, flags):
E   socket.gaierror: [Errno -3] Temporary failure in name resolution

During handling of the above exception, another exception occurred:
/tmp/home/.local/lib/python3.10/site-packages/urllib3/connectionpool.py:703: in urlopen
    httplib_response = self._make_request(
/tmp/home/.local/lib/python3.10/site-packages/urllib3/connectionpool.py:398: in _make_request
    conn.request(method, url, **httplib_request_kw)
/tmp/home/.local/lib/python3.10/site-packages/urllib3/connection.py:239: in request
    super(HTTPConnection, self).request(method, url, body=body, headers=headers)
/usr/local/lib/python3.10/http/client.py:1282: in request
    self._send_request(method, url, body, headers, encode_chunked)
/usr/local/lib/python3.10/http/client.py:1328: in _send_request
    self.endheaders(body, encode_chunked=encode_chunked)
/usr/local/lib/python3.10/http/client.py:1277: in endheaders
    self._send_output(message_body, encode_chunked=encode_chunked)
/usr/local/lib/python3.10/http/client.py:1037: in _send_output
    self.send(msg)
/usr/local/lib/python3.10/http/client.py:975: in send
    self.connect()
/tmp/home/.local/lib/python3.10/site-packages/urllib3/connection.py:205: in connect
    conn = self._new_conn()
/tmp/home/.local/lib/python3.10/site-packages/urllib3/connection.py:186: in _new_conn
    raise NewConnectionError(
E   urllib3.exceptions.NewConnectionError: <urllib3.connection.HTTPConnection object at 0x7fb3a2659ea0>: Failed to establish a new connection: [Errno -3] Temporary failure in name resolution

During handling of the above exception, another exception occurred:
/tmp/home/.local/lib/python3.10/site-packages/requests/adapters.py:489: in send
    resp = conn.urlopen(
/tmp/home/.local/lib/python3.10/site-packages/urllib3/connectionpool.py:813: in urlopen
    return self.urlopen(
/tmp/home/.local/lib/python3.10/site-packages/urllib3/connectionpool.py:813: in urlopen
    return self.urlopen(
/tmp/home/.local/lib/python3.10/site-packages/urllib3/connectionpool.py:813: in urlopen
    return self.urlopen(
/tmp/home/.local/lib/python3.10/site-packages/urllib3/connectionpool.py:785: in urlopen
    retries = retries.increment(
/tmp/home/.local/lib/python3.10/site-packages/urllib3/util/retry.py:592: in increment
    raise MaxRetryError(_pool, url, error or ResponseError(cause))
E   urllib3.exceptions.MaxRetryError: HTTPConnectionPool(host='wondermark.com', port=80): Max retries exceeded with url: / (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7fb3a2659ea0>: Failed to establish a new connection: [Errno -3] Temporary failure in name resolution'))

During handling of the above exception, another exception occurred:
tests/modules/check_comics.py:57: in test_comicmodule
    _test_comic(str(tmpdir), scraperobj, maxstrips)
tests/modules/check_comics.py:65: in _test_comic
    for strip in scraperobj.getStrips(maxstrips):
dosagelib/scraper.py:184: in getStrips
    for strip in self.getStripsFor(url, maxstrips):
dosagelib/scraper.py:194: in getStripsFor
    data = self.getPage(url)
dosagelib/scraper.py:460: in getPage
    page = super().getPage(url)
dosagelib/scraper.py:326: in getPage
    return get_page(url, self.session, allow_errors=self.allow_errors)
dosagelib/util.py:150: in get_page
    page = urlopen(url, session, max_content_bytes=MaxContentBytes, **kwargs)
dosagelib/util.py:247: in urlopen
    req = session.request(method, url, **kwargs)
/tmp/home/.local/lib/python3.10/site-packages/requests/sessions.py:587: in request
    resp = self.send(prep, **send_kwargs)
dosagelib/http.py:53: in send
    return super(Session, self).send(request, **kwargs)
/tmp/home/.local/lib/python3.10/site-packages/requests/sessions.py:701: in send
    r = adapter.send(request, **kwargs)
/tmp/home/.local/lib/python3.10/site-packages/requests/adapters.py:565: in send
    raise ConnectionError(e, request=request)
E   requests.exceptions.ConnectionError: HTTPConnectionPool(host='wondermark.com', port=80): Max retries exceeded with url: / (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7fb3a2659ea0>: Failed to establish a new connection: [Errno -3] Temporary failure in name resolution'))